com.hazelcast.jet.core

## Class Watermark

- java.lang.Object
- - com.hazelcast.jet.core.Watermark

- All Implemented Interfaces:
    com.hazelcast.jet.impl.execution.BroadcastItem

      public final class Watermark
      extends Object
      implements com.hazelcast.jet.impl.execution.BroadcastItem

  Watermark is an item occasionally inserted into a disordered (sub)stream of timestamped items. The watermark's timestamp value has the meaning "no items will follow with timestamp less than this." The value of the watermark is always monotonically increasing in the (sub)stream, with the effect of superimposing an ordered timestamp sequence over the original disordered one. Watermark items are used by windowing processors as anchoring points where the processor knows which windows it can close and emit their aggregated results.
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Watermark(long timestamp)` Constructs a new watermark item.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `long` | `timestamp()` Returns the timestamp of this watermark item.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Watermark

          public Watermark(long timestamp)

      Constructs a new watermark item.

  - ### Method Detail

    - #### timestamp

          public long timestamp()

      Returns the timestamp of this watermark item.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2019. All rights reserved.